## org.apache.hadoop.http.lib
Class StaticUserWebFilter.StaticUserFilter

    java.lang.Object
      org.apache.hadoop.http.lib.StaticUserWebFilter.StaticUserFilter

All Implemented Interfaces:
  javax.servlet.Filter

Enclosing class:
  StaticUserWebFilter

    public static class StaticUserWebFilter.StaticUserFilter

extends Object
implements javax.servlet.Filter

Constructor Summary
`StaticUserWebFilter.StaticUserFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticUserWebFilter.StaticUserFilter

    public StaticUserWebFilter.StaticUserFilter()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig conf)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

Copyright © 2009 The Apache Software Foundation